package networkparameter;
import java.net.InterfaceAddress;
import java.net.NetworkInterface;
import java.net.SocketException;
import java.util.Iterator;
import java.util.List;

public class NetworkParameter {

    public void printParameter(NetworkInterface ni) 
            throws SocketException {

        // Display the parameters in this network interface
        System.out.println("Network Interface:");
        System.out.println("------------------");
        System.out.println(" Name = " + ni.getName());
        System.out.println(" Display Name = " + ni.getDisplayName());
        System.out.println(" Is up = " + ni.isUp());
        System.out.println(" Support multicast = " + ni.supportsMulticast());
        System.out.println(" Is loopback = " + ni.isLoopback());
        System.out.println(" Is virtual = " + ni.isVirtual());
        System.out.println(" Is point to point = " + ni.isPointToPoint());
        System.out.println(" Hardware address = " + ni.getHardwareAddress());
        System.out.println(" MTU = " + ni.getMTU());

        // Get a list of all interface addresses:
        System.out.println("\nList of Interface Addresses:");
        System.out.println("----------------------------");
        List<InterfaceAddress> list = ni.getInterfaceAddresses();
        Iterator<InterfaceAddress> it = list.iterator();
        
        // iterate
        while (it.hasNext()) {
            InterfaceAddress ia = it.next();
            System.out.println(" Address = " + ia.getAddress());
            System.out.println(" Broadcast = " + ia.getBroadcast());
            System.out.println(" Network prefix length = " 
                    + ia.getNetworkPrefixLength());
            System.out.println("");
        }
    }
}
